이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: Check Cluster Version
- 1.1: 1.0
- 2: Check Duplication AI&MLOps Platform Name
- 2.1: 1.0
- 3: Create AI&MLOps Platform
- 3.1: 1.0
- 4: Delete AI&MLOps Platform
- 4.1: 1.0
- 5: Get AI&MLOps Platform details
- 5.1: 1.0
- 6: List AI&MLOps Platform
- 6.1: 1.0
- 7: List Images
- 7.1: 1.0
- 8: List Nodes
- 8.1: 1.0
- 9: List StorageClasses
- 9.1: 1.0
- 10: Update AI&MLOps Platform
- 10.1: 1.0
- 11: Validate Cluster Namespace
- 11.1: 1.0
- 12: Validate Cluster Resource Size
- 12.1: 1.0
1 - Check Cluster Version
1.1 - 1.0
get /v1/aimlops-platform/clusters/{cluster_id}/check-version
Description
Check AI&MLOps Platform Cluster Version.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| query | version required | Version Example : 1.28.1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/clusters/{cluster_id}/check-version?version={version}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"result": ""
}
2 - Check Duplication AI&MLOps Platform Name
2.1 - 1.0
get /v1/aimlops-platform/check-duplication
Description
Check Duplication AI&MLOps Platform Name. (false: no duplicate value, true: duplicate value)
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | release_name required | Release Name Example : aiml-test | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/aimlops-platform/check-duplication?release_name={release_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"result": ""
}
3 - Create AI&MLOps Platform
3.1 - 1.0
post /v1/aimlops-platform
Description
Create AI&MLOps Platform.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AiMlOpsPlatformCreateWithK8sEngineRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AsyncResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Request body
{
"ai_ml_ops_platform_create_request": {
"ai_ml_ops_platform_endpoint_type": "",
"ai_ml_ops_platform_type": "Enterprise",
"cluster_id": "10a599e031e749b7b260868f441e862b",
"image_id": "10a599e031e749b7b260868f441e862b",
"initial_user_email": "example@gmail.com",
"initial_user_password": "147@53A69a",
"release_name": "aiml-test",
"storage_class_name": "",
"tags": []
},
"kubernetes_engine_create_request": {
"cifs_volume_id": "",
"cloud_logging_enabled": false,
"k8s_version": "v1.28.1",
"kubernetes_engine_name": "cluster-test",
"lb_id": "",
"private_acl_ip_resource": [],
"public_acl_ip_address": "",
"security_group_id_list": [
"10a599e031e749b7b260868f441e862b"
],
"subnet_id": "10a599e031e749b7b260868f441e862b",
"volume_id": "10a599e031e749b7b260868f441e862b",
"vpc_id": "10a599e031e749b7b260868f441e862b"
},
"node_pool_create_request": {
"cluster_id": "10a599e031e749b7b260868f441e862b",
"desired_node_count": 2,
"image_os": "ubuntu",
"image_os_version": "22.04",
"is_auto_recovery": false,
"is_auto_scale": false,
"keypair_name": "keypair",
"kubernetes_version": "v1.28.1",
"max_node_count": 3,
"min_node_count": 2,
"name": "nodepool-test",
"server_type_id": "s1v16m64",
"volume_size": 104,
"volume_type_name": "SSD"
}
}
Example HTTP response
Response 201
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
4 - Delete AI&MLOps Platform
4.1 - 1.0
delete /v1/aimlops-platform/{release_id}
Description
Delete AI&MLOps Platform.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | release_id required | Release ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| query | with_k8s optional | With K8s Engine Example : False | boolean | False |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/{release_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
5 - Get AI&MLOps Platform details
5.1 - 1.0
get /v1/aimlops-platform/{release_id}
Description
Get AI&MLOps Platform details.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | release_id required | Release ID Example : 10a599e031e749b7b260868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AiMlOpsPlatformDetailResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/{release_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"ai_ml_ops_platform_domain_service": "",
"ai_ml_ops_platform_endpoint_ip_address": "",
"ai_ml_ops_platform_endpoint_port": "",
"ai_ml_ops_platform_endpoint_type": "",
"ai_ml_ops_platform_type": "Enterprise",
"cluster_id": "10a599e031e749b7b260868f441e862b",
"cluster_name": "cluster-test",
"cluster_state": "RUNNING",
"created_by": "10a599e031e749b7b260868f441e862b",
"created_dt": "2024-05-17T00:23:17Z",
"dashboard_state": "",
"image_id": "10a599e031e749b7b260868f441e862b",
"image_name": "",
"initial_user_email": "",
"modified_by": "10a599e031e749b7b260868f441e862b",
"modified_dt": "2024-05-17T00:23:17Z",
"project_id": "10a599e031e749b7b260868f441e862b",
"project_name": "",
"release_id": "10a599e031e749b7b260868f441e862b",
"release_name": "aiml-test",
"release_state": "DEPLOYED",
"storage_class_name": "",
"version": "v1.7.1"
}
6 - List AI&MLOps Platform
6.1 - 1.0
get /v1/aimlops-platform
Description
Get List of AI&MLOps Platform.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | Size Example : 20 | any of [integer, null] | 20 |
| query | page optional | Page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | Sort Example : created_dt:asc | string | created_dt:desc |
| query | created_by optional | Created By Example : 10a599e031e749b7b260868f441e862b | string | |
| query | release_name optional | Release Name Example : aiml-test | string | |
| query | cluster_name optional | Cluster Name Example : cluster-test | string | |
| query | version optional | Version Example : v1.7.1 | string | |
| query | kubeflow_type optional | Kubeflow Type Example : Mini | string | |
| query | status optional | Service State Example : DEPLOYED | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AiMlOpsPlatformsListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "10a599e031e749b7b260868f441e862b",
"cluster_name": "cluster-test",
"created_by": "10a599e031e749b7b260868f441e862b",
"created_dt": "2024-05-17T00:23:17Z",
"kubeflow_type": "Enterprise",
"modified_by": "10a599e031e749b7b260868f441e862b",
"modified_dt": "2024-05-17T00:23:17Z",
"release_id": "10a599e031e749b7b260868f441e862b",
"release_name": "aiml-test",
"status": "DEPLOYED",
"version": "v1.7.1"
}
],
"total_count": 10
}
7 - List Images
7.1 - 1.0
get /v1/aimlops-platform/images
Description
Get List of AI&MLOps Platform Images.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | Size Example : 20 | any of [integer, null] | 20 |
| query | page optional | Page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | Sort Example : created_dt:asc | string | created_dt:desc |
| query | image_name optional | Image Name Example : | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AiMlOpsPlatformImagesListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"base_image": "",
"category": "",
"created_by": "10a599e031e749b7b260868f441e862b",
"created_dt": "2024-05-17T00:23:17Z",
"description": "",
"icon_file": "",
"icon_file_name": "",
"image_attr": "",
"image_id": "",
"image_name": "",
"modified_by": "10a599e031e749b7b260868f441e862b",
"modified_dt": "2024-05-17T00:23:17Z",
"os_type": "",
"product_type": "Enterprise",
"project_id": "10a599e031e749b7b260868f441e862b"
}
],
"total_count": 10
}
8 - List Nodes
8.1 - 1.0
get /v1/aimlops-platform/internal/clusters/{cluster_id}/nodes
Description
Get List of AI&MLOps Platform Nodes.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| query | size optional | Size Example : 20 | any of [integer, null] | 20 |
| query | page optional | Page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | Sort Example : created_dt:asc | string | created_dt:desc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListNodeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/internal/clusters/{cluster_id}/nodes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"count": 0,
"links": [],
"nodes": []
}
9 - List StorageClasses
9.1 - 1.0
get /v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses
Description
Get List of AI&MLOps Platform StorageClasses.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListStorageClassResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"count": 0,
"links": [],
"storage_classes": []
}
10 - Update AI&MLOps Platform
10.1 - 1.0
put /v1/aimlops-platform/{release_id}
Description
Update AI&MLOps Platform.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | release_id required | Release ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| body | body required | AiMlOpsPlatformUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AsyncResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/{release_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Request body
{
"ai_ml_ops_platform_domain_service": {
"dns_id": "acdd205d-b1d3-44e7-ab7a-429ca090e941",
"domain_service_name": "sample.aimlopsplatform.com",
"ip": "192.168.3.197",
"operation_type": "CREATE | UPDATE | DELETE",
"record_id": "8af744b9-4893-4f98-881d-4df984de7162",
"record_name": "sample"
},
"ai_ml_ops_platform_endpoint_type": "Public | Private"
}
Example HTTP response
Response 200
{
"project_id": "10a599e031e749b7b260868f441e862b",
"request_id": "10a599e031e749b7b260868f441e862b",
"resource_id": "10a599e031e749b7b260868f441e862b"
}
11 - Validate Cluster Namespace
11.1 - 1.0
get /v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces
Description
Validate instability for AI&MLOps Platform. (whether already installed or not)
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/clusters/{cluster_id}/validate-namespaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"result": ""
}
12 - Validate Cluster Resource Size
12.1 - 1.0
get /v1/aimlops-platform/clusters/{cluster_id}/validate-resources
Description
Validate whether Cluster Resource size is large enough or not for AI&MLOps Platform.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| query | product_type required | Product Type Example : Enterprise | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/clusters/{cluster_id}/validate-resources?product_type={product_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"result": ""
}